/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.tls;

import de.steamwar.bausystem.BauSystem;
import de.steamwar.bausystem.Permission;
import de.steamwar.bausystem.region.Region;
import de.steamwar.bausystem.utils.ScoreboardElement;
import de.steamwar.linkage.Linked;
import de.steamwar.linkage.LinkedInstance;
import org.bukkit.entity.Player;

@Linked
public class TLSScoreboardElement implements ScoreboardElement {

    @LinkedInstance
    private TLSListener listener;

    @Override
    public ScoreboardGroup getGroup() {
        return ScoreboardGroup.OTHER;
    }

    @Override
    public int order() {
        return 2;
    }

    @Override
    public String get(Region region, Player p) {
        if (!Permission.BUILD.hasPermission(p)) return null;
        if (listener.isActiveFor(p)) {
            return BauSystem.MESSAGE.parse("TLS_SCOREBOARD_ELEMENT", p);
        } else {
            return null;
        }
    }
}
